### Method

# Vips Image set_int

#### Declaration [src]

    void
    vips_image_set_int (
      VipsImage* image,
      const char* name,
      int i
    )

#### Description [src]

Attaches `i` as a metadata item on `image` under the name `name`. A convenience function over `vips_image_set()`.

See also

`vips_image_get_int()`, `vips_image_set()`.

#### Parameters

`name`

  Type: `const char*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`i`

  Type: `int`

  Metadata value.